Package io.dapr.utils

# Class Constants

java.lang.Object
io.dapr.utils.Constants

    public final class Constants
    extends java.lang.Object

Useful constants for the Dapr's Actor SDK.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `ACTOR_METHOD_RELATIVE_URL_FORMAT` | String format for Actors method invocation relative url.
  `static java.lang.String` | `ACTOR_REMINDER_RELATIVE_URL_FORMAT` | String format for Actors reminder registration relative url..
  `static java.lang.String` | `ACTOR_STATE_KEY_RELATIVE_URL_FORMAT` | String format for Actors state management relative url.
  `static java.lang.String` | `ACTOR_STATE_RELATIVE_URL_FORMAT` | String format for Actors state management relative url.
  `static java.lang.String` | `ACTOR_TIMER_RELATIVE_URL_FORMAT` | String format for Actors timer registration relative url..
  `static java.lang.String` | `API_VERSION` | Dapr API used in this client.
  `static java.lang.String` | `BINDING_PATH` | Invoke Binding Path.
  `static java.lang.String` | `DEFAULT_HOSTNAME` | Dapr's default hostname.
  `static java.lang.String` | `HEADER_DAPR_REQUEST_ID` | Header used for request id in Dapr.
  `static java.lang.String` | `HEADER_HTTP_ETAG_ID` | Header for the conditional operation.
  `static java.lang.String` | `INVOKE_PATH` | Base path to invoke methods.
  `static java.lang.String` | `PUBLISH_PATH` | Invoke Publish Path.
  `static java.lang.String` | `SECRETS_PATH` | Secrets Path.
  `static java.lang.String` | `STATE_PATH` | State Path.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Constants()` |

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### API_VERSION

    public static final java.lang.String API_VERSION
    Dapr API used in this client.
    See Also:
      Constant Field Values

  - ### DEFAULT_HOSTNAME

    public static final java.lang.String DEFAULT_HOSTNAME
    Dapr's default hostname.
    See Also:
      Constant Field Values

  - ### HEADER_DAPR_REQUEST_ID

    public static final java.lang.String HEADER_DAPR_REQUEST_ID
    Header used for request id in Dapr.
    See Also:
      Constant Field Values

  - ### HEADER_HTTP_ETAG_ID

    public static final java.lang.String HEADER_HTTP_ETAG_ID
    Header for the conditional operation.
    See Also:
      Constant Field Values

  - ### ACTOR_STATE_KEY_RELATIVE_URL_FORMAT

    public static final java.lang.String ACTOR_STATE_KEY_RELATIVE_URL_FORMAT
    String format for Actors state management relative url.
    See Also:
      Constant Field Values

  - ### ACTOR_STATE_RELATIVE_URL_FORMAT

    public static final java.lang.String ACTOR_STATE_RELATIVE_URL_FORMAT
    String format for Actors state management relative url.
    See Also:
      Constant Field Values

  - ### ACTOR_METHOD_RELATIVE_URL_FORMAT

    public static final java.lang.String ACTOR_METHOD_RELATIVE_URL_FORMAT
    String format for Actors method invocation relative url.
    See Also:
      Constant Field Values

  - ### ACTOR_REMINDER_RELATIVE_URL_FORMAT

    public static final java.lang.String ACTOR_REMINDER_RELATIVE_URL_FORMAT
    String format for Actors reminder registration relative url..
    See Also:
      Constant Field Values

  - ### ACTOR_TIMER_RELATIVE_URL_FORMAT

    public static final java.lang.String ACTOR_TIMER_RELATIVE_URL_FORMAT
    String format for Actors timer registration relative url..
    See Also:
      Constant Field Values

  - ### INVOKE_PATH

    public static final java.lang.String INVOKE_PATH
    Base path to invoke methods.
    See Also:
      Constant Field Values

  - ### PUBLISH_PATH

    public static final java.lang.String PUBLISH_PATH
    Invoke Publish Path.
    See Also:
      Constant Field Values

  - ### BINDING_PATH

    public static final java.lang.String BINDING_PATH
    Invoke Binding Path.
    See Also:
      Constant Field Values

  - ### STATE_PATH

    public static final java.lang.String STATE_PATH
    State Path.
    See Also:
      Constant Field Values

  - ### SECRETS_PATH

    public static final java.lang.String SECRETS_PATH
    Secrets Path.
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### Constants

    public Constants()